import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:flutter/foundation.dart';
part 'smart_geo.freezed.dart';
part 'smart_geo.g.dart';

@freezed
abstract class SmartGeo with _$SmartGeo {
  const factory SmartGeo({
    String? geoSiteUrl,
    String? geoSiteMd5,
    String? geoIpUrl,
    String? geoIpMd5,
  }) = _SmartGeo;

  factory SmartGeo.fromJson(Map<String, Object?> json) =>
      _$SmartGeoFromJson(json);
}
